org.apache.geode.experimental.driver

## Class ProtobufDriver

- java.lang.Object
- - org.apache.geode.experimental.driver.ProtobufDriver

- All Implemented Interfaces:
    Driver

      @Experimental
      public class ProtobufDriver
      extends java.lang.Object
      implements Driver

  Implements the behaviors of a driver for communicating with a GemFire server by way of the new protocol. This code is an experimental prototype and is presented "as is" with no warranty, suitability, or fitness of purpose implied.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close this Driver, rendering it useless
    `FunctionService` | `getFunctionService()` Creates a new function service or retrieves an extant function service.
    `QueryService` | `getQueryService()` Creates a new query service or retrieves an extant query service.
    `<K,V> Region<K,V>` | `getRegion(java.lang.String regionName)` Creates an implementation of the region interface for the region with the unique name of `regionName`.
    `java.util.Set<java.lang.String>` | `getRegionNames()` Retrieves a set of unique names of regions in the GemFire server to which this driver is connected.
    `boolean` | `isConnected()` Is this driver connected?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRegionNames

          public java.util.Set<java.lang.String> getRegionNames()
                                                         throws java.io.IOException

      Description copied from interface: `Driver`
      Retrieves a set of unique names of regions in the GemFire server to which this driver is connected.
      Specified by:
        `getRegionNames` in interface `Driver`
      Returns:
        Set of strings of names that uniquely identify regions.
      Throws:
        `java.io.IOException`

    - #### getRegion

          public <K,V> Region<K,V> getRegion(java.lang.String regionName)

      Description copied from interface: `Driver`
      Creates an implementation of the region interface for the region with the unique name of `regionName`.
      Specified by:
        `getRegion` in interface `Driver`
      Type Parameters:
        `K` - Type of region keys.
        `V` - Type of region values.
      Parameters:
        `regionName` - String that uniquely identifies the region.
      Returns:
        the region object

    - #### getQueryService

          public QueryService getQueryService()

      Description copied from interface: `Driver`
      Creates a new query service or retrieves an extant query service.
      Specified by:
        `getQueryService` in interface `Driver`
      Returns:
        Query service.

    - #### getFunctionService

          public FunctionService getFunctionService()

      Description copied from interface: `Driver`
      Creates a new function service or retrieves an extant function service.
      Specified by:
        `getFunctionService` in interface `Driver`
      Returns:
        Function service.

    - #### close

          public void close()

      Description copied from interface: `Driver`
      Close this Driver, rendering it useless
      Specified by:
        `close` in interface `Driver`

    - #### isConnected

          public boolean isConnected()

      Description copied from interface: `Driver`
      Is this driver connected?
      Specified by:
        `isConnected` in interface `Driver`